#ifndef _VECTOR_H
#define _VECTOR_H

#include <ostream>

//3D VECTOR CLASS
class Vec
{
	//VARIABLES
public:
	float xdir;
	float ydir;
	float zdir;

	//CONSTRUCTORS
	Vec()
	{ 
		xdir = 0.0f; 
		ydir = 0.0f; 
		zdir = 0.0f;
	}

	Vec(float x, float y, float z)
	{
		xdir = x; 
		ydir = y; 
		zdir = z;
	}

	//MANIPULATION METHODS
	void InitDir() 
	{
		xdir = 0.0f; 
		ydir = 0.0f; 
		zdir = 0.0f;
	}

	void SetVel(float x, float y, float z) 
	{
		xdir = x; 
		ydir = y; 
		zdir = z;
	}

	//ACCESS METHODS
	float GetX() 
	{
		return xdir;
	}

	float GetY() 
	{
		return ydir;
	}

	float GetZ() 
	{
		return zdir;
	}

};

#endif //_VECTOR_H